public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Ionen Wolkens" <ionen@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: games-board/pysolfc/
Date: Thu, 12 May 2022 13:38:43 +0000 (UTC)	[thread overview]
Message-ID: <1652362705.9da06c873ca98707557ee818c3e5b084286f9443.ionen@gentoo> (raw)

commit:     9da06c873ca98707557ee818c3e5b084286f9443
Author:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Thu May 12 13:13:29 2022 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Thu May 12 13:38:25 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9da06c87

games-board/pysolfc: add 2.16.0

Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 games-board/pysolfc/Manifest              |  1 +
 games-board/pysolfc/pysolfc-2.16.0.ebuild | 68 +++++++++++++++++++++++++++++++
 2 files changed, 69 insertions(+)

diff --git a/games-board/pysolfc/Manifest b/games-board/pysolfc/Manifest
index 87d87ac981cc..c91259d84538 100644
--- a/games-board/pysolfc/Manifest
+++ b/games-board/pysolfc/Manifest
@@ -1,3 +1,4 @@
 DIST PySolFC-2.15.0.tar.xz 5022972 BLAKE2B c27dc73478f908e1ebfa4dd1ebff12744bb54a88886245aeab2f48605327231c44d27886b74612bfd233cc614ec55de6e4ba1f5fac0bb0b21ced9d46fc411bc5 SHA512 d50c416814beb1d9ef669923f87ea9493ad4aa30cf9c7dbc1e52c2f2fa89d9d6dcde9a7c4d4b8ab7d0fb36e5953ac27718fc7cc547ab3989cf2babc42844af9a
+DIST PySolFC-2.16.0.tar.xz 6391048 BLAKE2B 94f25033cf5b15af002d924cd2bfff5f90a1165ac9c23ba72a204d424e1678d904c37b13f16695f60c26d9e93a0b00f33e3f59d4b5bf4846d2570ed8c19d7725 SHA512 8f327b621d7c964abcf3e64a866e4a0153f4d6c2347f06eda1535df4effec1d7b7391e55c9ff42a1da6764473a246c0d646a589a4aa6b225076f97fd22381acd
 DIST PySolFC-Cardsets--Minimal-2.1.0.tar.xz 28484652 BLAKE2B a7537557ce978d296d1a11253a5bfa80a19fc67b495948e35d43d64bcc1283812e753ccf9ee1828461b723e6a21070b3003435f046a590507a7fa6f95bae09c2 SHA512 cc83a26470c2fb13e70741bd8caccb8bd3b0491672eae0caf7437cf38d57e324d225186dde3be49c091d6960dbaefaa23814bcdd7326b07f0f1e32dda15b251c
 DIST PySolFC-Cardsets-2.1.tar.bz2 61214563 BLAKE2B 06bf69f22fdcdfbd652bbe75f05722a452609da435a688a04227d235f7a4bd618cb3832e9143d224571eb20c1948014a456d697923623354c81ec12eff365bd9 SHA512 64909dec3d7f0a683e3c0d536f2c3435d0b021b390e411bcd6c9774562483413864105837e57c3210168330f17eda779055a1ec3b52d91aa05f405b990bd6fca

diff --git a/games-board/pysolfc/pysolfc-2.16.0.ebuild b/games-board/pysolfc/pysolfc-2.16.0.ebuild
new file mode 100644
index 000000000000..d7a6144a6a87
--- /dev/null
+++ b/games-board/pysolfc/pysolfc-2.16.0.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_SINGLE_IMPL=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} )
+PYTHON_REQ_USE="tk"
+inherit distutils-r1 xdg
+
+MY_PN="PySolFC"
+MY_P="${MY_PN}-${PV}"
+PS_CARD_P="${MY_PN}-Cardsets-2.1"
+PS_CARD_MIN_P="${MY_PN}-Cardsets--Minimal-2.1.0"
+
+DESCRIPTION="Exciting collection of more than 1000 solitaire card games"
+HOMEPAGE="https://pysolfc.sourceforge.io/"
+SRC_URI="mirror://sourceforge/pysolfc/${MY_P}.tar.xz
+	extra-cardsets? ( mirror://sourceforge/pysolfc/${PS_CARD_P}.tar.bz2 )
+	!extra-cardsets? ( mirror://sourceforge/pysolfc/${PS_CARD_MIN_P}.tar.xz )"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="GPL-3+ GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="extra-cardsets minimal +sound"
+
+RDEPEND="
+	$(python_gen_cond_dep '
+		dev-python/attrs[${PYTHON_USEDEP}]
+		dev-python/configobj[${PYTHON_USEDEP}]
+		dev-python/pysol_cards[${PYTHON_USEDEP}]
+		dev-python/random2[${PYTHON_USEDEP}]
+		dev-python/six[${PYTHON_USEDEP}]
+		sound? ( dev-python/pygame[${PYTHON_USEDEP}] )
+		!minimal? ( dev-python/pillow[jpeg,tk,${PYTHON_USEDEP}] )')
+	!minimal? ( dev-tcltk/tktable )"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+	distutils-r1_src_prepare
+
+	# make pip check happier, pycotap is not needed
+	sed -i "/'pycotap'/d" setup.py || die
+
+	if use extra-cardsets; then
+		find ../${PS_CARD_P} -type d -name .thumbnails -exec rm -r {} + || die
+	fi
+}
+
+python_install_all() {
+	local DOCS=( AUTHORS.md NEWS.asciidoc README.md )
+	distutils-r1_python_install_all
+
+	doman docs/pysol{,fc}.6
+
+	insinto /usr/share/${MY_PN}
+	doins -r ../$(usex extra-cardsets ${PS_CARD_P} ${PS_CARD_MIN_P})/.
+
+	# html files are used at runtime, keep at default location
+	dosym -r /usr/share/{${MY_PN},doc/${PF}}/html
+
+	# russian translation is not currently displaying right
+	# https://forums.gentoo.org/viewtopic-t-1142910.html
+	rm "${ED}"/usr/share/locale/ru/LC_MESSAGES/pysol.mo || die
+}


             reply	other threads:[~2022-05-12 13:38 UTC|newest]

Thread overview: 30+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-05-12 13:38 Ionen Wolkens [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-07-07 14:36 [gentoo-commits] repo/gentoo:master commit in: games-board/pysolfc/ Michał Górny
2024-04-27 12:11 Ionen Wolkens
2024-04-06 21:09 Ionen Wolkens
2024-03-22  7:28 Arthur Zamarin
2023-07-11  5:25 Ionen Wolkens
2023-05-11 17:01 Ionen Wolkens
2023-04-24  3:43 Ionen Wolkens
2023-01-17  6:03 Ionen Wolkens
2022-10-20 13:34 Ionen Wolkens
2022-10-11 11:06 Ionen Wolkens
2022-05-26  6:07 Ionen Wolkens
2022-04-29 11:23 Ionen Wolkens
2022-04-09  3:36 Ionen Wolkens
2021-12-16 19:11 Ionen Wolkens
2021-12-11 20:27 Ionen Wolkens
2021-11-14  0:45 Ionen Wolkens
2021-09-24 18:45 Ionen Wolkens
2021-09-22 22:26 Ionen Wolkens
2021-09-20 23:17 Ionen Wolkens
2021-08-30  9:04 Ionen Wolkens
2021-08-24 15:10 Ionen Wolkens
2019-07-29 22:24 James Le Cuirot
2019-01-27 12:24 Andrey Grozin
2019-01-27 12:22 Andrey Grozin
2018-09-19 17:31 Bernard Cafarelli
2018-06-21 11:27 Andrey Grozin
2016-09-06 19:17 David Seifert
2016-09-06  4:16 Austin English
2016-08-02 17:55 Austin English

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1652362705.9da06c873ca98707557ee818c3e5b084286f9443.ionen@gentoo \
    --to=ionen@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox